summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/LinHES-system/bin/mythrestore
diff options
context:
space:
mode:
authorBritney Fransen <brfransen@gmail.com>2010-06-23 21:07:53 (GMT)
committerBritney Fransen <brfransen@gmail.com>2010-06-23 21:07:53 (GMT)
commitd5cb4ddcb4a1eeb2c48e45b949bebea50d9d92ca (patch)
tree6b7c25cc049fc60e31d73a37ed33cc8f1acd6f76 /abs/core-testing/LinHES-system/bin/mythrestore
parent1c934c370d8bf6e981bf162d0da352e221f3c135 (diff)
downloadlinhes_pkgbuild-d5cb4ddcb4a1eeb2c48e45b949bebea50d9d92ca.zip
linhes_pkgbuild-d5cb4ddcb4a1eeb2c48e45b949bebea50d9d92ca.tar.gz
linhes_pkgbuild-d5cb4ddcb4a1eeb2c48e45b949bebea50d9d92ca.tar.bz2
LinHES-system: Update LinHES-run, mythbackup and mythrestore to use osd_cat.cfg
Diffstat (limited to 'abs/core-testing/LinHES-system/bin/mythrestore')
-rwxr-xr-xabs/core-testing/LinHES-system/bin/mythrestore11
1 files changed, 10 insertions, 1 deletions
diff --git a/abs/core-testing/LinHES-system/bin/mythrestore b/abs/core-testing/LinHES-system/bin/mythrestore
index 0ab5c86..447b0b8 100755
--- a/abs/core-testing/LinHES-system/bin/mythrestore
+++ b/abs/core-testing/LinHES-system/bin/mythrestore
@@ -5,6 +5,15 @@
echo 1>&2 "Can not load common settings!"
exit 1
}
+
+. /etc/osd_cat.cfg || {
+ color=yellow
+ outline=2
+ outlinecolour=black
+ shadow=0
+ shadowcolour=black
+ font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
+}
#----------------------------------------------------------------------------
# Function to display status onscreen
@@ -19,7 +28,7 @@ osd()
TEXT="\n"$TEXT
done
fi
- printf "$TEXT" | osd_cat --lines=6 --pos=middle --align=center --delay=$2 --color white -O 2 -u black -f -adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-* &
+ printf "$TEXT" | osd_cat --lines=6 --pos=middle --align=center --delay=$2 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
}
do_file_updates() { # A function because we need to do this in two places